#pragma once
#include "SDLManager.h"
#include "Color.h"

class SDLRectangle {
public:
  SDLRectangle(int xPos = 50, int yPos = 50, int length = 5, int height = 5,
             const Color &rcColor = Color::BLUE);
  void draw(SDLManager &rcSDLManager);
private:
  int mXPos;
  int mYPos;
  int mLength;
  int mHeight;
  Color mcColor;
};
