#include "SDLManager.h"
#include "Color.h"

int main (int argc, char *argv[])
{
	int windowXPosition = 100,
		windowYPosition = 100,
		windowSizeX = 640,
		windowSizeY = 640;

	SDLManager &rcManager = SDLManager::instance ();

	rcManager.initializeWorld (windowXPosition, windowYPosition,
														 windowSizeX, windowSizeY);
	rcManager.setBackgroundColor (Color::GRAY);
	rcManager.setForegroundColor (Color::BLACK);

	SDL_Event uEvent;
	rcManager.animationStart ();
	rcManager.clearBackground ();


  // game loop
	while (rcManager.animationIsRunning ())
	{
    // update
    // move items, change position of objects.
	
    // end update code


    rcManager.clearBackground ();

    // draw
    // draw items on the screen.

		rcManager.displayText (150, 50, "Welcome to CS250", Color::PURPLE);
		rcManager.drawLine (0, 0, 639, 639);
		rcManager.drawLine (639, 0, 0, 639);
		rcManager.drawFilledCircle (320, 320, 50, Color::GREEN);

    // end draw code

		if (rcManager.getSDLEvent (uEvent))
		{
			if (SDL_QUIT == uEvent.type)
			{
				rcManager.animationStop ();

        // customize QUIT event handling

        // end QUIT event handling
			}

      // handle event

      // end handle event code

		}

		rcManager.render ();
	}


	return EXIT_SUCCESS; 
}
