#include "SDLRectangle.h"

SDLRectangle::SDLRectangle(int x, int y, int length, int height,
                           const Color &rcColor) {
  mXPos = x;
  mYPos = y;
  mLength = length;
  mHeight = height;
  mcColor = rcColor;
}

void SDLRectangle::draw(SDLManager &rcSDLManager) {
  rcSDLManager.drawRectangle(mXPos, mYPos, mXPos + mLength, 
                             mYPos + mHeight, mcColor);
}